Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.proxy
Class ProxyServiceContext

    java.lang.Object
      things.thinger.service.proxy.ProxyContext
          things.thinger.service.proxy.ProxyServiceContext

    public class ProxyServiceContext

extends ProxyContext

Context for a proxy session used by the service.

Version:
  1.0

  Version History

      EPG - Added by request.  This was part of a stand-alone lib for a while. - 10 DEC 08

Author:
  Erich P. Gatejen

Field Summary

Fields inherited from class things.thinger.service.proxy.ProxyContext
`downlink, downlinkIn, downlinkOut, id, logger, uplink, uplinkIn, uplinkOut`

Constructor Summary
`ProxyServiceContext(WhoAmI id, ProxySession session, ProxyServiceThread thread, ProxyService ownerService, java.net.Socket uplink, java.net.Socket downlink, ProxyProcessor processor, Logger logger)` Constructor.

Method Summary
`void` | `complete()` We are done with this context.
`void` | `process()` Dispatch this context for processing.

Methods inherited from class things.thinger.service.proxy.ProxyContext
`dispose, finalize, GET_OUTPUT, POST, POSTACTION, POSTDONE, POSTMULTI, POSTSINGLE, POSTSTART`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyServiceContext

    public ProxyServiceContext(WhoAmI id,
                               ProxySession session,
                               ProxyServiceThread thread,
                               ProxyService ownerService,
                               java.net.Socket uplink,
                               java.net.Socket downlink,
                               ProxyProcessor processor,
                               Logger logger)
                        throws java.lang.Throwable

  Constructor.

  Parameters:
    `id` -
    `session` -
    `thread` -
    `ownerService` -
    `uplink` -
    `downlink` -
    `processor` -
    `logger` -
  Throws:
    `java.lang.Throwable`

Method Detail

### complete

    public void complete()

  We are done with this context. Let the service know we are done with this session.

### process

    public void process()
                 throws java.lang.Throwable

  Dispatch this context for processing. The service

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.